---
search:
  tags:
    - Operations
    - POST
seo:
  description: >-
    An account can have up to 500 folders. Reference for the POST /v1/folders
    endpoint in the Teak API.
sidebar:
  label: Create a folder
  badge: POST
title: Create a folder
type: openapi-operation
---
An account can have up to 500 folders.

`POST /v1/folders`

**Request body** (`application/json`, required)

- `name` (string, required) — 1 to 300 characters, unique per account ignoring case.
- `color` (string) — A palette color.

Request body example:

```json
{
  "name": "string",
  "color": "gray"
}
```

**Responses**

- `201` — Folder created
- `400` — Invalid name or color
- `409` — A folder with this name exists (\`CONFLICT\`) or the account has the most folders it can (\`LIMIT\_REACHED\`)

Response example, 201:

```json
{
  "id": "string",
  "name": "string",
  "color": "gray",
  "kind": "manual",
  "cardCount": 0,
  "createdAt": 0,
  "updatedAt": 0
}
```
